#include "aubio.h"
#include <stdlib.h>

#define errmsg(...) fprintf (stderr, __VA_ARGS__)
char * input_filename="/home/piem/ark/samples/juan/onsets/Audio/mono44kHz/Jaillet27.wav";
char * output_filename="/tmp/trash.wav";

int main(int argc, char **argv) {
	/* settings */
	int frames,i;
	int buffer_size = 512;
	int overlap_size = 256;
	int channels = 1;
	aubio_file_t * file = new_file_ro (input_filename);
	aubio_pvoc_t * pv = new_aubio_pvoc(buffer_size, overlap_size, channels);
	fvec_t * ibuf = new_fvec(overlap_size, channels);
  cvec_t * fftgrain = new_cvec(buffer_size, channels);
	
	// fill the phasevoc
	file_read(file, overlap_size, ibuf);
	aubio_pvoc_do(pv, ibuf, fftgrain);
	
	frames=0;
	while (frames < 20) { 
		file_read(file, overlap_size, ibuf);
		aubio_pvoc_do(pv, ibuf, fftgrain);
		frames++;
	}

	for(i=0;i<buffer_size;i++){
		errmsg("phas: %f\n",fftgrain->phas[0][i]);
		errmsg("norm: %f\n",fftgrain->norm[0][i]);
	}
	return 0;

}
